Bug 17625 - Необходимо пересобрать R с новыми tcl/tk
: Необходимо пересобрать R с новыми tcl/tk
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/R-base)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-10-19 21:34 by
Modified: 2008-11-05 22:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-19 21:34:59
После последнего обновления tcl/tk R не находит соответствующих библиотек.
Требуется пересборка как я понимаю. Возможно, стоит пересобрать сразу с новой
версией R 2.8.0, которая должна выйти завтра.

Заодно, если можно, исправьте пожалуйста устройство печати по умолчанию, а то
сейчас оно не настроено:

> options("printcmd")
$printcmd
[1] ""

Достаточно просто прописать lpr.
------- Comment #1 From 2008-10-20 08:27:50 -------
Как это воспроизводится?
У Вас установлен пакет R-tcltk?
------- Comment #2 From 2008-10-20 08:35:21 -------
(In reply to comment #1)
> Как это воспроизводится?
> У Вас установлен пакет R-tcltk?

Алексей, вы будуте смеяться, но оно у меня больше не воспроизводится тоже. Два
дня воспроизводилось, а сейчас проверил - все работает. Видимо фазы луны. Так
что прошу прощения за спам в багзилле. Хотя вторую часть - про вывод на печать
- хорошо бы поправить.
------- Comment #3 From 2008-11-05 22:16:36 -------
* Tue Nov 04 2008 Alexey Tourbin <at@altlinux.ru> 2.8.0-alt1
- 2.7.2 -> 2.8.0
- set default R_PRINTCMD to "lpr" (#17625)

Задержка была из-за gcc-4.3.
Советую обновлять вместе с libatlas и liblapack.